Output (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class Output

- org.gradle.plugins.ide.eclipse.model.Output

- All Implemented Interfaces and Traits:
    ClasspathEntry

      public class Output
      extends groovy.lang.GroovyObjectSupport

  A classpath entry representing an output folder.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Output (groovy.util.Node node)`
    `Output (String path)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(Object o)`
    `String` | `getKind()`
    `String` | `getPath()`
    `int` | `hashCode()`
    `void` | `setPath(String path)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Output(groovy.util.Node node)

    - #### public Output(String path)

  - ### Method Detail

    - #### @Override public void appendNode(groovy.util.Node node)

    - #### @Override public boolean equals(Object o)

    - #### @Override public String getKind()

    - #### public String getPath()

    - #### @Override public int hashCode()

    - #### public void setPath(String path)

    - #### @Override public String toString()